<?php
/**
* Plugin Name: AlpineCalendar.ca Bootstrap Calendar - Rev2
* Description: Display AlpineCalendar.ca Bootstrap based calendar on your website with localized caching and support for additional calendars
* Version: 1.01 revision 2017-10-18
* Author: Keven Dubinsky | AlpineCalendar.ca
* Author URI: http://alpinecalendar.ca
**/

// Exit If Accessed Directly
if(!defined('ABSPATH')){
    exit;
}

// Global Options Variable
$alpcal_options = get_option('alpcal_settings');

// Load PSR3
require_once(plugin_dir_path(__FILE__) . '/_psr4/autoload.php');

// Load Scripts
require_once(plugin_dir_path(__FILE__) . '/includes/alpineCalendar-bootstrap-cal-cached-scripts.php');

// Load Shortcodes
require_once(plugin_dir_path(__FILE__) . '/includes/alpinecalendar-bootstrap-cal-cached-shortcodes.php');

// Check if admin and include admin scripts
if ( is_admin() ) {
	// Load Settings Page
	require_once(plugin_dir_path(__FILE__) . '/includes/alpinecalendar-bootstrap-cal-cached-settings.php');
}

// postback for loading calendar item
if ($_GET['ACResultsRender']) {
	require_once(plugin_dir_path(__FILE__) . '/includes/alpineCalendar-eventRender.php');
}


